For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get customer group

Get customer group for UID.

get
/tenants/{tenantUid}/customer-groups/{customerGroupUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
customerGroupUidstringRequired

Reference to a customer group

Responses
200

Example response

application/json
customerGroupUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
createdBystringRequired
createdAtstring · date-timeRequired
lastModifiedBystringRequired
lastModifiedAtstring · date-timeRequired
get/tenants/{tenantUid}/customer-groups/{customerGroupUid}
GET /v2/tenants/{tenantUid}/customer-groups/{customerGroupUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "customerGroupUid": "text",
  "name": "text",
  "createdBy": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?